Bug 1125841 - Review Request: python-kazoo - Python Zookeeper library
Review Request: python-kazoo - Python Zookeeper library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-01 04:26 EDT by Nejc Saje
Modified: 2016-04-27 01:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-26 07:29:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sdake: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nejc Saje 2014-08-01 04:26:30 EDT
Spec URL: https://www.dropbox.com/s/wsg1qw9xy35x7c3/python-kazoo.spec?raw=1
SRPM URL: https://www.dropbox.com/s/oc6b8zygoo659yt/python-kazoo-2.0-1.fc20.src.rpm?raw=1
Description: Kazoo is a Python library designed to make working with Zookeeper a more hassle-free experience that is less prone to errors.
Fedora Account System Username: nsaje
Comment 1 Christopher Meng 2014-08-01 04:30:01 EDT
Drop by comment:

https://fedoraproject.org/wiki/Packaging:Python#BuildRequires
Comment 2 Nejc Saje 2014-08-01 05:21:48 EDT
Thanks, fixed.
Comment 3 Jakub Ruzicka 2014-08-01 07:46:25 EDT
Looks good to me!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "Unknown or generated". 48 files have unknown
     license. Detailed output of licensecheck in /home/jruzicka/tmp/python-
     kazoo/review-python-kazoo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-kazoo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-kazoo-2.0-1.fc20.noarch.rpm
          python3-kazoo-2.0-1.fc20.noarch.rpm
          python-kazoo-doc-2.0-1.fc20.noarch.rpm
          python-kazoo-2.0-1.fc20.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-kazoo-doc python-kazoo python3-kazoo
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'
Comment 4 Steven Dake 2014-08-01 11:38:54 EDT
Nejc,

Before I can sponsor you, you need to create a fedora account and sign the CLA.  The process is very straightforward and should take less then 20 minutes.  Ping on the bug when you have finished so I can add you to the sponsor's group.

Regards,
-steve
Comment 5 Nejc Saje 2014-08-04 04:51:49 EDT
Hey Steve,

I already have a fedora account, my username is 'nsaje'. I am also in the 'Signed CLA Group'.

Regards,
Nejc
Comment 6 Nejc Saje 2014-08-20 08:17:18 EDT
New Package SCM Request
=======================
Package Name: python-kazoo
Short Description: Kazoo is a Python library designed to make working with Zookeeper a more hassle-free experience that is less prone to errors.
Upstream URL: https://kazoo.readthedocs.org
Owners: nsaje
Branches: f19 f20 f21 el6 epel7
InitialCC:
Comment 7 Jon Ciesla 2014-08-20 09:56:14 EDT
Git done (by process-git-requests).
Comment 8 Michael Schwendt 2014-08-21 15:49:19 EDT
> %package doc
> Requires:   %{name} = %{version}-%{release}

Please keep -doc subpackages independent from such base dependency, unless the documentation is in a specific format that strictly requires the base package to display it. For HTML that's not the case. Independent documentation are very convenient, since one can easily install them without being forced to install a possibly huge dependency-chain.
Comment 9 Nejc Saje 2014-08-26 07:31:00 EDT
Sorry Michael for missing your comment, I'll fix that ASAP.

Note You need to log in before you can comment on or make changes to this bug.